/* Registers and Memory */
_int64 GPR[32]; // CPU Regs
double FPR[32]; // CP1 Regs
float FCR[32]; // Floating-Point Control Regs
double FGR[32]; // Floating-Point General Purpose Regs
_int64 CP0[32]; // CP0 Regs
_int32 PC; // Program Counter
_int32 OldPC; // Used for resetting CPU
_int32 StopPC=0x040002D8;
_int32 ROMPC;
_int32 DelayPC; // Used for delay slot
_int64 HI; // HI register
_int64 LO; // LO register
BOOL LLreg; // Load/Link Register

char TLB[32][256]; // Translation Look-aside Buffer

// Allocate 4,194,304B RDRAM
unsigned char RAM[4194304];

unsigned char SP_DMEM[4096];
unsigned char SP_IMEM[4096];
unsigned char SP_MEMreg[32];
unsigned char DPreg[32];
unsigned char DPSreg[16];
unsigned char MIreg[56];
unsigned char VIreg[56];
unsigned char AIreg[24];
unsigned char PIreg[52];
unsigned char RIreg[32];
unsigned char SIreg[28];
unsigned char RDRAMreg[0x28];
